NewWacht Bench is live — AI-assisted development for Wacht

Get Board Item Task Workspace File Content

GET
/ai/projects/{project_id}/board/items/{item_id}/filesystem/file

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

project_id*string
item_id*string

Query Parameters

path?string
include_archived?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/projects/string/board/items/string/filesystem/file"
{
  "status": 0,
  "message": "string",
  "data": {
    "path": "string",
    "name": "string",
    "mime_type": "string",
    "is_text": true,
    "size_bytes": 0,
    "truncated": true,
    "content": "string",
    "content_base64": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}